function varargout = eegquery(varargin)
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

global ifilemat logfilemat appfilemat ...
       intervallstatus intervall lookfor ...
       appmode imode logmode speciallogfilestatus handles ...
       baselinestatus baselineintervall...
       eegdata gpdata paramat paravec anzahldifftrials anzahltottrials...
       stimulinames anzahlvp repeatstatus channelweightmat...
       samplingrate pointrange channelweightingstatus channelweightmat

       
cd('J:\peter\data\Data\fastpicsdipl\batchfiles\');
intervallstatus = 0;
lookfor=1;
intervall=[];
samplingrate = 0.25;
pointrange = 1/samplingrate;
channelweightingstatus = 0;

% EEGQUERY Application M-file for eegquery.fig
%    FIG = EEGQUERY launch eegquery GUI.
%    EEGQUERY('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.0 17-May-2003 17:19:59

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');

	% Generate a structure of handles to pass to callbacks, and store it. 
	handles = guihandles(fig);
	guidata(fig, handles);

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		if (nargout)
			[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
		else
			feval(varargin{:}); % FEVAL switchyard
		end
	catch
		disp(lasterr);
	end

end


